com.ziclix.python.sql

## Interface DateFactory

All Known Implementing Classes:
  JavaDateFactory

    public interface DateFactory

Provide an extensible way to create dates for zxJDBC.

Author:
  brian zimmer

### Method Summary

All Methods Instance Methods Abstract Methods
`PyObject` `Date(int year, int month, int day)` This function constructs an object holding a date value.
`PyObject` `DateFromTicks(long ticks)` This function constructs an object holding a date value from the given ticks value (number of seconds since the epoch; see the documentation of the standard Python time module for details).
`PyObject` `Time(int hour, int minute, int second)` This function constructs an object holding a time value.
`PyObject` `TimeFromTicks(long ticks)` This function constructs an object holding a time value from the given ticks value (number of seconds since the epoch; see the documentation of the standard Python time module for details).
`PyObject` `Timestamp(int year, int month, int day, int hour, int minute, int second)` This function constructs an object holding a time stamp value.
`PyObject` `TimestampFromTicks(long ticks)` This function constructs an object holding a time stamp value from the given ticks value (number of seconds since the epoch; see the documentation of the standard Python time module for details).

### Method Detail

#### Date

    PyObject Date(int year,
                  int month,
                  int day)

This function constructs an object holding a date value.

Parameters:
  `year` - to set
  `month` - to set
  `day` - to set
Returns:
  date as PyObject

#### Time

    PyObject Time(int hour,
                  int minute,
                  int second)

This function constructs an object holding a time value.

Parameters:
  `hour` - to set
  `minute` - to set
  `second` - to set
Returns:
  time as PyObject

#### Timestamp

    PyObject Timestamp(int year,
                       int month,
                       int day,
                       int hour,
                       int minute,
                       int second)

This function constructs an object holding a time stamp value.

Parameters:
  `year` - to set
  `month` - to set
  `day` - to set
  `hour` - to set
  `minute` - to set
  `second` - to set
Returns:
  time stamp as PyObject

#### DateFromTicks

    PyObject DateFromTicks(long ticks)

This function constructs an object holding a date value from the given ticks value (number of seconds since the epoch; see the documentation of the standard Python time module for details).

Note: The DB API 2.0 spec calls for time in seconds since the epoch while the Java Date object returns time in milliseconds since the epoch. This module adheres to the python API and will therefore use time in seconds rather than milliseconds, so adjust any Java code accordingly.

Parameters:
  `ticks` - number of seconds since the epoch
Returns:
  PyObject

#### TimeFromTicks

    PyObject TimeFromTicks(long ticks)

This function constructs an object holding a time value from the given ticks value (number of seconds since the epoch; see the documentation of the standard Python time module for details).

Note: The DB API 2.0 spec calls for time in seconds since the epoch while the Java Date object returns time in milliseconds since the epoch. This module adheres to the python API and will therefore use time in seconds rather than milliseconds, so adjust any Java code accordingly.

Parameters:
  `ticks` - number of seconds since the epoch
Returns:
  PyObject

#### TimestampFromTicks

    PyObject TimestampFromTicks(long ticks)

This function constructs an object holding a time stamp value from the given ticks value (number of seconds since the epoch; see the documentation of the standard Python time module for details).

Note: The DB API 2.0 spec calls for time in seconds since the epoch while the Java Date object returns time in milliseconds since the epoch. This module adheres to the python API and will therefore use time in seconds rather than milliseconds, so adjust any Java code accordingly.

Parameters:
  `ticks` - number of seconds since the epoch
Returns:
  PyObject